<?xml version="1.0" encoding="utf-8"?>
<androidx.swiperefreshlayout.widget.SwipeRefreshLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/background_color"
    tools:context=".dashboard.DashboardFragment">


    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingHorizontal="@dimen/dashboard_fragment_padding_horizontal"
            android:paddingVertical="@dimen/dashboard_fragment_padding_vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:paddingHorizontal="16dp"
                android:paddingVertical="22dp"
                android:visibility="visible">

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/titleDev"
                    style="@style/TextDeviceBig"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/processor"
                    tools:ignore="RelativeOverlap" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="20dp"
                    android:layout_marginBottom="42dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/logoDevice"
                        style="@style/TextDeviceLogo"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="HONOR"
                        tools:ignore="RelativeOverlap" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/phone_Name"
                        style="@style/TextSize37"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:text="HiSilicon Kirin 710"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <include
                    android:id="@+id/text1"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text2"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text3"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text4"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text5"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text6"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text7"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text8"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/text9"
                    layout="@layout/common_text_style" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuBtn"
                    style="@style/TextDialogSubTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="170dp"
                    android:layout_marginTop="21dp"
                    android:background="@drawable/hard_bg"
                    android:paddingHorizontal="12dp"
                    android:paddingVertical="9dp"
                    android:textSize="15sp"
                    android:textStyle="normal"
                    android:text="@string/cpu_analysis"
                    android:textColor="@color/white" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:paddingHorizontal="16dp"
                android:paddingVertical="22dp"
                android:visibility="visible">

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/titleGPU"
                    style="@style/TextDeviceBig"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/gpu"
                    tools:ignore="RelativeOverlap" />

                <include
                    android:id="@+id/cpu_text1"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text2"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text3"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text4"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text5"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text6"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text7"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text8"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/cpu_text9"
                    layout="@layout/common_text_style" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/open1"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:text="@string/model"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/open2"
                        style="@style/TextContentRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/apps"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/llPubShow"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal"
                    android:visibility="visible">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/extension1"
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/extensions"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/extensionShow"
                        style="@style/TextButteryRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingHorizontal="10dp"

                        android:text="@string/show"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
            </LinearLayout>
<!--            simple-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/titleDis"
                        style="@style/TextDeviceBig"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/display"
                        tools:ignore="RelativeOverlap" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1" />

                    <ImageView
                        android:layout_width="23dp"
                        android:layout_height="23dp"
                        android:layout_gravity="center_vertical"
                        android:src="@mipmap/setting" />
                </LinearLayout>

                <include
                    android:id="@+id/disText1"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/disText2"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/disText3"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/disText4"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/disText5"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/disText6"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/disText7"
                    layout="@layout/common_text_style" />

                <include
                    android:id="@+id/disText8"
                    layout="@layout/common_text_style" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:paddingBottom="30dp"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:paddingHorizontal="15dp"
                    android:paddingTop="15dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/titleMem"
                            style="@style/TextDeviceBig"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/memory"
                            tools:ignore="RelativeOverlap" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_weight="1" />

                        <ImageView
                            android:layout_width="23dp"
                            android:layout_height="23dp"
                            android:layout_gravity="center_vertical"
                            android:src="@mipmap/setting" />
                    </LinearLayout>

                    <include
                        android:id="@+id/memText1"
                        layout="@layout/common_text_style" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:orientation="horizontal">

                        <com.google.android.material.textview.MaterialTextView
                            style="@style/TextDialogLabel"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/ram"
                            android:textSize="21sp"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_weight="1" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/ram1"
                            style="@style/TextDialogLabel"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="5.97 GB"
                            android:textSize="25sp"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <com.google.android.material.textview.MaterialTextView
                            style="@style/TextTool21"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="2.22 GB used"
                            android:textSize="18sp"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_weight="1" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/ram2"
                            style="@style/TextTool21"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="3.75 GB free"
                            android:textSize="18sp"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>
                </LinearLayout>

                <SeekBar
                    android:id="@+id/seekbar"
                    android:layout_width="match_parent"
                    android:layout_height="10dp"
                    android:maxHeight="10dp"
                    android:minHeight="10dp"
                    android:padding="0dp"
                    android:progress="50"
                    android:progressDrawable="@drawable/progress_bg"
                    android:thumb="@drawable/progress_oval"
                    android:thumbOffset="0dp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextDialogLabel"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/zram"
                        android:textSize="21sp"
                        android:textStyle="bold"
                        tools:ignore="RelativeOverlap" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/ram3"
                        style="@style/TextDialogLabel"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="5.97 GB"
                        android:textSize="25sp"
                        android:textStyle="bold"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextTool21"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="2.22 GB used"
                        android:textSize="18sp"
                        android:textStyle="bold"
                        tools:ignore="RelativeOverlap" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/ram4"
                        style="@style/TextTool21"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="3.75 GB free"
                        android:textSize="18sp"
                        android:textStyle="bold"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <SeekBar
                    android:id="@+id/seekbar2"
                    android:layout_width="match_parent"
                    android:layout_height="10dp"
                    android:maxHeight="10dp"
                    android:minHeight="10dp"
                    android:padding="0dp"
                    android:progress="50"
                    android:progressDrawable="@drawable/progress_bg"
                    android:thumb="@drawable/progress_oval"
                    android:thumbOffset="0dp" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:paddingBottom="30dp"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:paddingHorizontal="15dp"
                    android:paddingTop="15dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/titleStor"
                            style="@style/TextDeviceBig"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/storage"
                            tools:ignore="RelativeOverlap" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_weight="1" />

                        <ImageView
                            android:layout_width="23dp"
                            android:layout_height="23dp"
                            android:layout_gravity="center_vertical"
                            android:src="@mipmap/setting" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="20dp"
                        android:orientation="horizontal">

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/textTitle"
                            style="@style/TextContentLeft"
                            android:layout_width="150dp"
                            android:layout_height="wrap_content"
                            android:text="@string/size"
                            android:textStyle="bold" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_weight="1" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/textContent"
                            style="@style/TextContentRight"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="20dp"
                            android:text="128 GB"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:orientation="horizontal">

                        <com.google.android.material.textview.MaterialTextView
                            style="@style/TextDialogLabel"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="28.01 GB used"
                            android:textSize="19sp"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_weight="1" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/stor1"
                            style="@style/TextDialogLabel"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="128 GB total"
                            android:textSize="19sp"
                            android:textStyle="bold"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>

                </LinearLayout>

                <SeekBar
                    android:id="@+id/seekbar3"
                    android:layout_width="match_parent"
                    android:layout_height="10dp"
                    android:maxHeight="10dp"
                    android:minHeight="10dp"
                    android:padding="0dp"
                    android:progress="50"
                    android:progressDrawable="@drawable/progress_bg"
                    android:thumb="@drawable/progress_oval"
                    android:thumbOffset="0dp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:padding="15dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="13dp"
                            android:layout_height="13dp"
                            android:src="@mipmap/radius1" />

                        <com.google.android.material.textview.MaterialTextView
                            style="@style/TextDialogSubTitle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="11dp"
                            android:text="@string/apps_and_data"
                            android:textColor="@color/dialog_value_color"
                            tools:ignore="RelativeOverlap" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_weight="1" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/radius1"
                            style="@style/TextDialogSubTitle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="11dp"
                            android:text="18.77 GB"
                            android:textColor="@color/dialog_value_color"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="13dp"
                            android:layout_height="13dp"
                            android:src="@mipmap/radius2" />

                        <com.google.android.material.textview.MaterialTextView
                            style="@style/TextDialogSubTitle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="11dp"
                            android:text="@string/system"
                            android:textColor="@color/dialog_value_color"
                            tools:ignore="RelativeOverlap" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_weight="1" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/radius2"
                            style="@style/TextDialogSubTitle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="11dp"
                            android:text="18.77 GB"
                            android:textColor="@color/dialog_value_color"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="13dp"
                            android:layout_height="13dp"
                            android:src="@mipmap/radius3" />

                        <com.google.android.material.textview.MaterialTextView
                            style="@style/TextDialogSubTitle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="11dp"
                            android:text="@string/free"
                            android:textColor="@color/dialog_value_color"
                            tools:ignore="RelativeOverlap" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_weight="1" />

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/radius3"
                            style="@style/TextDialogSubTitle"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="11dp"
                            android:text="18.77 GB"
                            android:textColor="@color/dialog_value_color"
                            tools:ignore="RelativeOverlap" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:paddingHorizontal="15dp">

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextSecondaryTitle"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="30dp"
                        android:text="@string/internal_storage"
                        tools:ignore="RelativeOverlap" />

                    <include
                        android:id="@+id/storText1"
                        layout="@layout/common_text_style" />

                    <include
                        android:id="@+id/storText2"
                        layout="@layout/common_text_style" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15dp"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextDialogLabel"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="/data"
                        android:textSize="19sp"
                        android:textStyle="bold"
                        tools:ignore="RelativeOverlap" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/stor2"
                        style="@style/TextDialogLabel"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="119 GB"
                        android:textSize="25sp"
                        android:textStyle="bold"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextTool21"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="2.22 GB used"
                        android:textSize="18sp"
                        android:textStyle="normal"
                        tools:ignore="RelativeOverlap" />

                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/stor3"
                        style="@style/TextTool21"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="3.75 GB free"
                        android:textSize="18sp"
                        android:textStyle="normal"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>

                <SeekBar
                    android:id="@+id/seekbar5"
                    android:layout_width="match_parent"
                    android:layout_height="10dp"
                    android:maxHeight="10dp"
                    android:minHeight="10dp"
                    android:padding="0dp"
                    android:progress="50"
                    android:progressDrawable="@drawable/progress_bg"
                    android:thumb="@drawable/progress_oval"
                    android:thumbOffset="0dp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal"
                    android:paddingHorizontal="15dp">

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/disk_partitions"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/disktext"
                        style="@style/TextButteryRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingHorizontal="10dp"
                        android:text="@string/show"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp"
                android:visibility="visible">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                        <com.google.android.material.textview.MaterialTextView
                            android:id="@+id/titleBlue"
                            style="@style/TextDeviceBig"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/bluetooth"
                            tools:ignore="RelativeOverlap" />

                        <View
                            android:layout_width="0dp"
                            android:layout_height="1dp"
                            android:layout_weight="1" />

                        <ImageView
                            android:layout_width="23dp"
                            android:layout_height="23dp"
                            android:layout_gravity="center_vertical"
                            android:src="@mipmap/setting" />
                    </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/paired_devices"
                        android:textStyle="bold" />
                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/pair1"
                        style="@style/TextButteryRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingHorizontal="10dp"
                        android:text="@string/show"
                        tools:ignore="RelativeOverlap" />

                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/nearby_devices"
                        android:textStyle="bold" />
                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1"/>
                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/pair2"
                        style="@style/TextButteryRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingHorizontal="10dp"
                        android:text="@string/show"
                        tools:ignore="RelativeOverlap" />

                </LinearLayout>
                <com.google.android.material.textview.MaterialTextView
                    style="@style/TextSecondaryTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:text="@string/bluetooth_4_features"
                    tools:ignore="RelativeOverlap" />
                <include
                    android:id="@+id/blueCheck1"
                    layout="@layout/common_check_style" />
                <include
                    android:id="@+id/blueCheck2"
                    layout="@layout/common_check_style" />
                <include
                    android:id="@+id/blueCheck3"
                    layout="@layout/common_check_style" />
                <include
                    android:id="@+id/blueCheck4"
                    layout="@layout/common_check_style" />
                <com.google.android.material.textview.MaterialTextView
                    style="@style/TextSecondaryTitle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:text="@string/bluetooth_5_features"
                    tools:ignore="RelativeOverlap" />
                <include
                    android:id="@+id/blueCheck01"
                    layout="@layout/common_check_style" />
                <include
                    android:id="@+id/blueCheck02"
                    layout="@layout/common_check_style" />
                <include
                    android:id="@+id/blueCheck03"
                    layout="@layout/common_check_style" />
                <include
                    android:id="@+id/blueCheck04"
                    layout="@layout/common_check_style" />
                <include
                    android:id="@+id/blueCheck05"
                    layout="@layout/common_check_style" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:visibility="visible">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:padding="15dp"
                    android:paddingTop="15dp">

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextDeviceBig"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="@string/audio"
                        tools:ignore="RelativeOverlap" />

                    <include
                        android:id="@+id/check1"
                        layout="@layout/common_check_style" />

                    <include
                        android:id="@+id/check2"
                        layout="@layout/common_check_style" />

                    <include
                        android:id="@+id/check3"
                        layout="@layout/common_check_style" />

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextContentLeft"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:text="@string/codecs"
                        android:textColor="@color/check_color"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextContentLeft"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="gsm, aac, mlaw, flac, raw, opus, decoder, alaw, encoder, amrnb, mp3, h263, h264, hevc, amrwb, mpeg4, vorbis, vp9, vp8"
                        android:textColor="@color/right_color"
                        android:textStyle="normal" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:background="@drawable/dashboard_model_background"
                android:orientation="vertical"
                android:padding="15dp"
                android:visibility="visible">

                <com.google.android.material.textview.MaterialTextView
                    style="@style/TextDeviceBig"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/other"
                    tools:ignore="RelativeOverlap" />

                <include
                    android:id="@+id/otherCheck1"
                    layout="@layout/common_check_style" />

                <include
                    android:id="@+id/otherCheck2"
                    layout="@layout/common_check_style" />

                <include
                    android:id="@+id/otherCheck3"
                    layout="@layout/common_check_style" />

                <include
                    android:id="@+id/otherCheck4"
                    layout="@layout/common_check_style" />

                <include
                    android:id="@+id/otherCheck5"
                    layout="@layout/common_check_style" />

                <include
                    android:id="@+id/otherCheck6"
                    layout="@layout/common_check_style" />

                <include
                    android:id="@+id/otherCheck7"
                    layout="@layout/common_check_style" />

                <include
                    android:id="@+id/otherCheck8"
                    layout="@layout/common_check_style" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:orientation="horizontal">

                    <com.google.android.material.textview.MaterialTextView
                        style="@style/TextContentLeft"
                        android:layout_width="150dp"
                        android:layout_height="wrap_content"
                        android:text="@string/input_devices"
                        android:textStyle="bold" />

                    <com.google.android.material.textview.MaterialTextView
                        android:id="@+id/othertext"
                        style="@style/TextButteryRight"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingHorizontal="10dp"
                        android:text="@string/show"
                        tools:ignore="RelativeOverlap" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</androidx.swiperefreshlayout.widget.SwipeRefreshLayout>